/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PricingOcupaAntecipaDAO;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.entidad.PricingOcupaAntecipa;

/**
 * 
 * @author Rafius
 */
@Repository("pricingOcupacionDAO")
public class PricingOcupaAntecipaHibernateDAO extends GenericHibernateDAO<PricingOcupaAntecipa, Integer>
		implements PricingOcupaAntecipaDAO {

	@Autowired
	public PricingOcupaAntecipaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<PricingOcupaAntecipa> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Pricing.ATIVO));
		return c.list();
	}

	@Override
	public List<PricingOcupaAntecipa> buscarOcupaAntecipaPricing(Integer pricingId) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.or(Restrictions.eq(ACTIVO, Pricing.ATIVO), Restrictions.eq(ACTIVO, Pricing.INATIVO)));
		c.add(Restrictions.eq("pricing.pricingId", pricingId));
		
		return c.list();
	}
}
